{ lib, ... }:
{
  imports = [
    ./filesystems
    ./hardware
    ./users
    ../../modules/system
  ];

  networking = {
    hostName = "extern";
    wg-quick.interfaces.wgc.address = [ "10.100.0.21/24" ];
  };

  system = {
    desktop.enable = true;
    wireless.enable = true;
    wireguard.client.enable = true;
    video.nvidia.enable = true;
    libvirtd.enable = true;
    stateVersion = "24.11";
  };

  services = {
    btrfs.autoScrub.enable = lib.mkForce false;
    fstrim.enable = lib.mkForce false;
  };
}
