{ lib, pkgs, ... }:
{
  imports = [
    ./disko
    ./filesystems
    ./hardware
    ./users
    ../../modules/system
  ];

  networking = {
    hostName = "midas";
    hostId = "462433de";
  };

  system = {
    desktop.enable = true;
    lanzaboote.enable = true;
    wireless.enable = false;
    libvirtd.enable = true;
    stateVersion = "24.11";
  };

  hardware.graphics = {
    extraPackages = with pkgs; [
      intel-media-driver
      intel-ocl
      intel-vaapi-driver
    ];
    extraPackages32 = with pkgs.driversi686Linux; [
      intel-media-driver
      intel-vaapi-driver
    ];
  };

  nixpkgs.config.allowUnfreePredicate = pkg: builtins.elem (lib.getName pkg) [
    "intel-ocl"
  ];

  services.xserver.videoDrivers = [
    "intel"
    "i915"
  ];
}
