{ lib, ... }:
{
  imports = [
    ./boot
    ./filesystems
    ./hardware
    ./users
    ../../modules/system
  ];

  networking = {
    hostName = "prophet";
    hostId = "97a21a38";
    wg-quick.interfaces.wgc.address = [ "10.100.0.19/24" ];
  };

  environment.persistence."/persist".enable = lib.mkForce false;

  system = {
    mailserver.enable = true;
    wireless.enable = false;
    wireguard.client.enable = true;
    stateVersion = "24.05";
  };
}
