{ pkgs, ... }:
{
  imports = [
    ./boot
    ./disko
    ./filesystems
    ./firewall
    ./hardware
    ./users
    ../../modules/system
  ];

  networking = {
    hostName = "tower";
    hostId = "3d16423a";
    interfaces.enp42s0.wakeOnLan.enable = true;
  };

  system = {
    desktop.enable = true;
    lanzaboote.enable = true;
    wireless.enable = false;
    video.nvidia.enable = true;
    libvirtd.enable = true;
    stateVersion = "24.05";
  };
}
