{ config, lib, pkgs, ... }:
{
  config = lib.mkIf config.system.server.enable {
    services.ddclient = {
      enable = true;
      protocol = "cloudflare";
      zone = "${config.domains.p2}";
      usev6 = "";
      username = "token";
      passwordFile = "${pkgs.writeText "cloudflareapikey" config.secrets.flareApiKey}";
    };
    environment.persistence."/persist".directories = [ "/var/lib/private/ddclient" ];
  };
}
